Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets
Class P13NAuthFilter

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.security.AuthFilter
                  com.bea.p13n.servlets.P13NAuthFilter

All Implemented Interfaces
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated Configure com.bea.p13n.servlets.PortalServletFilter in web.xml

    public class P13NAuthFilter

extends AuthFilter

On WLS recommendation, this use of this class has been deprecated. Its previous functionality has been replaced by the PortalServletFilter.

See Also
  Serialized Form

Field Summary

Fields inherited from class weblogic.servlet.security.AuthFilter
`TARGET_URL`

Constructor Summary
`P13NAuthFilter()` Deprecated

Method Summary
`void` | `doFailAuth(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Deprecated Called after a failed authentication in a webapp.
`void` | `doPreAuth(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Deprecated Called just before Authentication and Authorization occur in a webapp.
`boolean` | `doSuccessAuth(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Deprecated Called after a successfull authentication in a webapp.
`protected void` | `initializeProfile(javax.servlet.http.HttpServletRequest req)` Deprecated Initialize a ProfileWrapper in the session for the logged in user.

Methods inherited from class weblogic.servlet.security.AuthFilter
`service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P13NAuthFilter

    public P13NAuthFilter()

  Deprecated

Method Detail

### doPreAuth

    public void doPreAuth(javax.servlet.ServletRequest req,
                          javax.servlet.ServletResponse res)

  Deprecated
  Called just before Authentication and Authorization occur in a webapp.

  This does nothing here.

  Overrides:
    `doPreAuth` in class `AuthFilter`

### doSuccessAuth

    public boolean doSuccessAuth(javax.servlet.ServletRequest req,
                                 javax.servlet.ServletResponse res)

  Deprecated
  Called after a successfull authentication in a webapp. The PortalServletFilter is assumed to be comfigured in the web.xml, which will take care of firing events, swapping profiles if needed, etc.

  Overrides:
    `doSuccessAuth` in class `AuthFilter`

### initializeProfile

    protected void initializeProfile(javax.servlet.http.HttpServletRequest req)

  Deprecated
  Initialize a ProfileWrapper in the session for the logged in user.

### doFailAuth

    public void doFailAuth(javax.servlet.ServletRequest req,
                           javax.servlet.ServletResponse res)

  Deprecated
  Called after a failed authentication in a webapp.

  This method here does nothing.

  Overrides:
    `doFailAuth` in class `AuthFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.